Skip to main content
GET
https://{tenantDomain}/api/v2
/
users
/
{id}
/
authentication-methods
/
{authentication_method_id}
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Users.AuthenticationMethods.GetAsync(
            "id",
            "authentication_method_id"
        );
    }

}
{
  "id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "confirmed": true,
  "name": "<string>",
  "authentication_methods": [
    {
      "id": "<string>"
    }
  ],
  "link_id": "<string>",
  "phone_number": "<string>",
  "email": "<string>",
  "key_id": "<string>",
  "public_key": "<string>",
  "enrolled_at": "2023-11-07T05:31:56Z",
  "last_auth_at": "2023-11-07T05:31:56Z",
  "credential_device_type": "<string>",
  "credential_backed_up": true,
  "identity_user_id": "<string>",
  "user_agent": "<string>",
  "user_handle": "<string>",
  "transports": [
    "<string>"
  ],
  "aaguid": "<string>",
  "relying_party_identifier": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The ID of the user in question.

authentication_method_id
string
required

The ID of the authentication methods in question.

Response

Authentication method retrieved.

id
string
required

The ID of the authentication method (auto generated)

type
enum<string>
required
Available options:
recovery-code,
totp,
push,
phone,
email,
email-verification,
webauthn-roaming,
webauthn-platform,
guardian,
passkey,
password
created_at
string<date-time>
required

Authenticator creation date

confirmed
boolean

The authentication method status

name
string

A human-readable label to identify the authentication method

Maximum string length: 20
authentication_methods
object[]
preferred_authentication_method
enum<string>

Applies to phone authentication methods only. The preferred communication method.

Available options:
voice,
sms

The ID of a linked authentication method. Linked authentication methods will be deleted together.

phone_number
string

Applies to phone authentication methods only. The destination phone number used to send verification codes via text and voice.

email
string

Applies to email and email-verification authentication methods only. The email address used to send verification messages.

key_id
string

Applies to webauthn authentication methods only. The ID of the generated credential.

public_key
string

Applies to webauthn authentication methods only. The public key.

enrolled_at
string<date-time>

Enrollment date

last_auth_at
string<date-time>

Last authentication

credential_device_type
string

Applies to passkeys only. The kind of device the credential is stored on as defined by backup eligibility. "single_device" credentials cannot be backed up and synced to another device, "multi_device" credentials can be backed up if enabled by the end-user.

credential_backed_up
boolean

Applies to passkeys only. Whether the credential was backed up.

identity_user_id
string

Applies to passkeys only. The ID of the user identity linked with the authentication method.

user_agent
string

Applies to passkeys only. The user-agent of the browser used to create the passkey.

user_handle
string

Applies to passkeys only. The user handle of the user identity.

transports
string[]

Applies to passkeys only. The transports used by clients to communicate with the authenticator.

aaguid
string

Applies to passkey authentication methods only. Authenticator Attestation Globally Unique Identifier.

relying_party_identifier
string

Applies to webauthn/passkey authentication methods only. The credential's relying party identifier.